function drupal_required_modules

4.x environment_5.inc drupal_required_modules()

Return the list of modules required by drupal.

We use that function name for onward compatibility with drupal 6 and 7.

4 calls to drupal_required_modules()
drush_pm_uninstall in commands/pm/pm.drush.inc
Command callback. Uninstall one or more modules. // TODO: Use drupal_execute on system_modules_uninstall_confirm_form so that input is validated.
_drush_drupal_required_modules in commands/core/drupal/environment_6.inc
Returns drupal required modules, including their dependencies.
_drush_drupal_required_modules in commands/core/drupal/environment_5.inc
Returns drupal required modules, including their dependencies.
_drush_drupal_required_modules in commands/core/drupal/environment.inc
Returns drupal required modules, including modules declared as required dynamically.

File

commands/core/drupal/environment_5.inc, line 15
Specific functions for a drupal 5 environment. drush_include_engine() magically includes either this file or environment_X.inc depending on which version of drupal drush is called from.

Code

function drupal_required_modules() {
  return array(
    'block',
    'filter',
    'node',
    'system',
    'user',
    'watchdog',
  );
}